Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 571330 - app-text/zathura stabilization
Summary: app-text/zathura stabilization
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Stabilization (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Michael Weber (RETIRED)
URL:
Whiteboard:
Keywords: STABLEREQ
: 600414 (view as bug list)
Depends on: CVE-2012-2120 602426
Blocks:
  Show dependency tree
 
Reported: 2016-01-09 00:53 UTC by Michael Weber (RETIRED)
Modified: 2017-08-20 19:17 UTC (History)
3 users (show)

See Also:
Package list:
dev-libs/girara-0.2.7 amd64 arm x86 app-text/zathura-0.3.7 amd64 arm x86 app-text/zathura-djvu-0.2.6 amd64 arm x86 app-text/zathura-pdf-poppler-0.2.7 amd64 arm x86 app-text/zathura-pdf-mupdf-0.3.1 amd64 x86 app-text/zathura-ps-0.2.4 amd64 arm x86 app-text/zathura-cb-0.1.6 amd64 x86
Runtime testing required: ---
stable-bot: sanity-check+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Weber (RETIRED) gentoo-dev 2016-01-09 00:53:31 UTC
Upstream released new versions on Dec. 21nd and 22nd.
I've bumped them all and would suggest to stable these in 30 days.

app-text/zathura-0.3.4
app-text/zathura-djvu-0.2.5
app-text/zathura-pdf-poppler-0.2.6
app-text/zathura-pdf-mupdf-0.2.9
app-text/zathura-ps-0.2.3
app-text/zathura-cb-0.1.5
Comment 1 Michael Weber (RETIRED) gentoo-dev 2016-01-09 00:58:29 UTC
New list:

dev-libs/girara-0.2.5
app-text/zathura-0.3.4
app-text/zathura-djvu-0.2.5
app-text/zathura-pdf-poppler-0.2.6
app-text/zathura-pdf-mupdf-0.2.9
app-text/zathura-ps-0.2.3
app-text/zathura-cb-0.1.5
Comment 2 Mira Ressel 2016-01-27 21:59:49 UTC
zathura-0.3.4 and zathura-pdf-mupdf-0.2.9 contain known regressions and probably shouldn't be stabled.
Comment 3 Mira Ressel 2016-01-27 22:17:17 UTC
I guess I should have clarified which bugs I'm referring to:

* zathura-pdf-mupdf has a minor bug described at 572350 .

* zathura has a somewhat more severe bug: Opening N files forks 2^(N-1) processes, so opening >10 files at the same time will create more than 1000 processes and may easily eat up all RAM.

Both bugs have been fixed by upstream in the latest -9999 versions.
Comment 4 Michael Weber (RETIRED) gentoo-dev 2016-04-08 19:29:16 UTC
New list:

dev-libs/girara-0.2.5: amd64 arm x86
app-text/zathura-0.3.5: amd64 arm x86
app-text/zathura-djvu-0.2.5: amd64 arm x86
app-text/zathura-pdf-poppler-0.2.6: amd64 arm x86
app-text/zathura-pdf-mupdf-0.3.0: amd64 x86
app-text/zathura-ps-0.2.3: amd64 arm x86
app-text/zathura-cb-0.1.5: amd64 x86
Comment 5 Jan-Willem Liebezeit 2016-07-20 08:00:06 UTC
There are new versions of zathura (0.3.6), girara (0.2.6) and zathura-pdf-mupdf (0.3.0) available.
Zathura/Girara compile after changing the dependencies according to the readme files (zathura 0.3.6 depends on girara 0.2.6 contrary to what the readme file says). Haven't tested the mupdf plugin.
Comment 6 Mart Raudsepp gentoo-dev 2016-11-25 06:29:57 UTC
Old dev-libs/girara is somewhat broken with stable gtk+:3 wrt themeing (scrollbar handling issues, e.g https://git.pwmt.org/pwmt/girara/commit/0c7bafd1a4d2a3bf8814b02ab8e684f689d40fd4 found in 0.2.6; theme warnings per bug 600414, etc).
Would be nice to see some arch action here for our stable zathura users.
Comment 7 Mart Raudsepp gentoo-dev 2016-11-25 06:30:35 UTC
This needs girara-0.2.6 instead of 0.2.5 for all the fixes then. xmw, please consider asking stable of 0.2.6 instead of 0.2.5 from the CCed arches.
Comment 8 Mart Raudsepp gentoo-dev 2016-11-25 06:31:38 UTC
*** Bug 600414 has been marked as a duplicate of this bug. ***
Comment 9 Tobias Klausmann (RETIRED) gentoo-dev 2016-12-19 12:58:19 UTC
This requires:

'>=app-text/texlive-core-2015'

...which doesn't have a stablereq, much less one that blocks this bug. Please fix.

Until then, un-cc'ing arches.
Comment 10 Mart Raudsepp gentoo-dev 2016-12-19 14:38:41 UTC
Doing the arch CC removal and put the stabilization list in the new field. Note that the version of girara in there still has issues with already stable gtk+:3

Please CC back arches once maintainer and repoman are happy with the list in "Atoms to stabilize" and have considered the girara version.
Comment 11 Michael Weber (RETIRED) gentoo-dev 2017-01-29 19:50:54 UTC
With texlive 2015 stable, let's give this another spin.
Thanks.
Comment 12 Stabilization helper bot gentoo-dev 2017-01-29 20:01:28 UTC
An automated check of this bug failed - repoman reported dependency errors: 

> dependency.bad app-text/zathura/zathura-0.3.7.ebuild: DEPEND: arm(default/linux/arm/13.0) ['>=app-text/texlive-core-2015']
> dependency.bad app-text/zathura/zathura-0.3.7.ebuild: RDEPEND: arm(default/linux/arm/13.0) ['>=app-text/texlive-core-2015']
Comment 13 Stabilization helper bot gentoo-dev 2017-01-29 21:02:34 UTC
An automated check of this bug succeeded - the previous repoman errors are now resolved.
Comment 14 Michael Weber (RETIRED) gentoo-dev 2017-02-23 13:24:26 UTC
arm stable.
Comment 15 Tobias Klausmann (RETIRED) gentoo-dev 2017-07-15 17:33:50 UTC
Stable on amd64.
Comment 16 Thomas Deutschmann gentoo-dev 2017-08-20 19:17:28 UTC
x86 stable

Last arch, closing...